
Redmine - Feature #34942

Support for Git repositories with default branch "main"

2021-03-20 06:31 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Since GitHub renamed the default branch name from "master" to "main" in 2020, more and more Git repositories in the world have

the default branch of “main” instead of “master”. However, Redmine does not recognize "main" branch as the default branch.

https://github.com/github/renaming

After applying the attached patch, "main" will be recognized as the default branch in addition to "master".

Associated revisions

Revision 20851 - 2021-03-26 04:48 - Go MAEDA

Support for Git repositories with default branch "main" (#34942).

Patch by Go MAEDA.

History

#1 - 2021-03-26 03:08 - Go MAEDA

- Target version set to 4.2.0

#2 - 2021-03-26 04:48 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

support-git-main-branch.patch 2.55 KB 2021-03-20 Go MAEDA
